Retrieve errors for an upload.

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.getpenfold.dev/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Penfold Partner API MCP server": {
  "url": "https://docs.getpenfold.dev/mcp"
}
Close
GET /uploads/{upload_id}/errors

Get the errors of an upload. Will be an empty array unless upload status is "Error".

Path parameters

  • employer_id string Required
  • upload_id string Required

Query parameters

  • page_size integer

    The maximum number of records to return per page.

    Minimum value is 100, maximum value is 500. Default value is 200.

  • page_number integer

    The page number to return in the list of records.

    Minimum value is 1. Default value is 1.

Responses

  • 200 application/json

    Retrieved the upload errors successfully.

    Hide response attributes Show response attributes object
    • page_number integer

      The current page number.

    • page_size integer

      The number of items per page.

    • total_items integer

      The total number of items available.

    • items array[object]

      An array of UploadError objects on the current page.

      Hide items attributes Show items attributes object
      • upload_id string

        ID of the upload where the error occurred.

      • scope string

        What is the scope of the error. Row indicates an error in a specific row. AllRows indicates an error that applies to all rows. File indicates an error with the file itself, not with the rows in the file.

        Values are File, AllRows, or Row.

      • row_index number | null

        The row in the file where the error occurred. Starting at row 1, the first non-header row. Set when scope=Row.

      • code string

        An identifier for the class of the error.

      • message string

        Human readable error message to help diagnose the issue.

  • 400 application/json

    Bad request, the request is malformed or contains invalid data.

    Hide response attribute Show response attribute object
    • error string

      A descriptive error message.

  • 401 application/json

    Unauthorized, the request requires authentication, and the provided credentials are either missing or incorrect.

    Hide response attribute Show response attribute object
    • error string

      A descriptive error message.

  • 404 application/json

    The employer or upload was not found.

    Hide response attribute Show response attribute object
    • error string

      A descriptive error message.

GET /uploads/{upload_id}/errors
curl \
 --request GET 'https://payroll-api.getpenfold.dev/v4/uploads/{upload_id}/errors' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "page_number": 1,
  "page_size": 200,
  "total_items": 1,
  "items": [
    {
      "upload_id": "string",
      "scope": "File",
      "row_index": 42.0,
      "code": "NationalInsuranceNumberInvalid",
      "message": "The provided National Insurance Number is invalid."
    }
  ]
}
Response examples (400)
{
  "error": "Bad request: invalid data provided."
}
Response examples (401)
{
  "error": "Bad request: invalid data provided."
}
Response examples (404)
{
  "error": "Bad request: invalid data provided."
}